/************************CASP_COPYRIGHT**********************************
** Copyright (c) AadhunikLabs. All rights reserved.
** This file is part of CASP.
** Licensees holding valid licenses may use this file in accordance
** with the license agreement provided with the software.
*************************************************************************/
`include "sim_common_definitions.vh"

module sim_digital_in8

#(parameter BUS_WIDTH=32, START_INDEX=0)
(
input [0:0]DI0, [0:0]DI1, [0:0]DI2, [0:0]DI3, [0:0]DI4, [0:0]DI5, [0:0]DI6, [0:0]DI7,
output [BUS_WIDTH-1:0] val
);

assign val[START_INDEX+0] = DI0;
assign val[START_INDEX+1] = DI1;
assign val[START_INDEX+2] = DI2;
assign val[START_INDEX+3] = DI3;
assign val[START_INDEX+4] = DI4;
assign val[START_INDEX+5] = DI5;
assign val[START_INDEX+6] = DI6;
assign val[START_INDEX+7] = DI7;

endmodule
