/************************CASP_COPYRIGHT**********************************
** Copyright (c) AadhunikLabs. All rights reserved.
** This file is part of CASP.
** Licensees holding valid licenses may use this file in accordance
** with the license agreement provided with the software.
*************************************************************************/
`include "sim_common_definitions.vh"

module sim_clk_tick
(input clk,
reset,
output[63:0] clk_tick);

reg [63:0] counter;
always @(posedge clk)
begin
if(reset == 1)
 counter <= counter + `SIM_CLK_PERIOD + 31;//31 code delay (dont change value)
else
 counter <= 64'd0;
end
assign clk_tick = counter;

endmodule