/************************CASP_COPYRIGHT**********************************
** Copyright (c) AadhunikLabs. All rights reserved.
** This file is part of CASP.
** Licensees holding valid licenses may use this file in accordance
** with the license agreement provided with the software.
*************************************************************************/
`include "sim_common_definitions.vh"

module sim_digital_out8

#(parameter BUS_WIDTH=32, START_INDEX=0)
(
input [BUS_WIDTH-1:0] val,
output [0:0]DO0, [0:0]DO1, [0:0]DO2, [0:0]DO3, [0:0]DO4, [0:0]DO5, [0:0]DO6, [0:0]DO7
);

assign DO0 = val[START_INDEX+0];
assign DO1 = val[START_INDEX+1];
assign DO2 = val[START_INDEX+2];
assign DO3 = val[START_INDEX+3];
assign DO4 = val[START_INDEX+4];
assign DO5 = val[START_INDEX+5];
assign DO6 = val[START_INDEX+6];
assign DO7 = val[START_INDEX+7];

endmodule
